Platform

Casafari es la plataforma de inteligencia de datos inmobiliarios nativa para agentes de IA. El índice inmobiliario más completo de Europa: un grafo inmobiliario limpio y deduplicado de propiedades residenciales y comerciales, en venta y alquiler, en 16 países.El índice inmobiliario más completo de Europa: un grafo inmobiliario limpio y deduplicado.

Cómo se construye el grafo

API de Casafari existente · API v1 · Alertas

Get alerts by feed

GEThttps://api.casafari.com/v1/listing-alerts/feeds/{id}
Token estático11 parametersAPI v1

Envíe Authorization: Token $CASAFARI_TOKEN con su token de API existente; consulte dónde obtenerlo.

The same path under /api, signed in with a bearer token, is in the REST API reference: GET /api/v1/listing-alerts/feeds/{id}.

Description

Returns paginated list of alerts (by feed ID) for currently authenticated user.

Parámetros de ruta

idstringobligatorio
Valor entero único que identifica este feed de alertas.

Parámetros de consulta

limitinteger
Número de resultados a devolver por página.
offsetinteger
Offset from which to start the search. Maximum value is 50000.
order_bystring
Campo por el que se ordenan los resultados.
alert_date -alert_date alert_id -alert_id created_at -created_at updated_at -updated_at
default "-alert_date"
alert_date_fromcadena (fecha)
Start date (in the format YYYY-MM-DD) of the period for alerts of interest. Overrides alert_date_from value if it was specified in the feed filter. Invalid values are ignored.
alert_date_tocadena (fecha)
End date (in the format YYYY-MM-DD) of the period for alerts of interest. Overrides alert_date_to value if it was specified in the feed filter. Invalid values are ignored.
created_at_fromcadena (fecha y hora)
Start date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data. Overrides created_at_from value if it was specified in the feed filter. Invalid values are ignored.
created_at_tocadena (fecha y hora)
End date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data. Overrides created_at_to value if it was specified in the feed filter. Invalid values are ignored.
created_at_with_photos_fromcadena (fecha y hora)
Start date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos. Note: Some alerts may still not have photos if the original listing did not include any. Overrides created_at_with_photos_from value if it was specified in the feed filter. Invalid values are ignored.
created_at_with_photos_tocadena (fecha y hora)
End date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos. Note: Some alerts may still not have photos if the original listing did not include any. Overrides created_at_with_photos_to value if it was specified in the feed filter. Invalid values are ignored.
alert_subtypestring
Get only alerts of the specific subtype (for the requested feed). Invalid values are ignored. This field is deprecated and will be removed in the next major update. Please, use alert_subtypes field in the feed.filter instead.
new price_up price_down reserved delisted sold

Ejemplo de solicitud

Solo marcadores de posición: reemplace el token y los valores por los suyos.

curl
curl "https://api.casafari.com/v1/listing-alerts/feeds/<id>" \
  -H "Authorization: Token $CASAFARI_TOKEN"

Respuestas

200

Tipo: object[].

Show the response shape (91 fields)
countinteger
nextstring (uri)nullable
previousstring (uri)nullable
resultsobject
67 properties
alert_idintegerobligatorio
ID of the alert.
listing_idintegerobligatorio
ID del anuncio.
refstringobligatorio
The reference ID of the listing.
alert_typestringobligatorio
The type of the alert.
sale_price sale_status rent_price rent_status new
alert_subtypestringobligatorio
The subtype of the alert.
new price_up price_down reserved delisted sold
old_valuestringobligatorio
Valor anterior al cambio.
new_valuestringobligatorio
Valor tras el cambio.
alert_datecadena (fecha)obligatorio
Date when the alert occurred.
alert_date_and_timestringnullable
Date and time when the alert occurred.
property_urlstringnullable
URL de la propiedad en el sitio web de Casafari.
listing_urlstringnullable
URL del anuncio. Disponible solo para anuncios actualmente activos.
listing_old_urlstringnullable
URL anterior del anuncio. Disponible solo para anuncios ya inactivos.
listing_uidstringobligatorio
ID único del anuncio en el sitio de origen.
property_idintegerobligatorio
ID of the property to which the listing belongs.
titlestringobligatorio
Listing title.
typestringobligatorio
Listing property type, as returned by the GET /v1/references/types endpoint.
40 valores permitidosapartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_building
type_groupstringobligatorio
Listing property type group, as returned by the GET /v1/references/types endpoint.
locationobjectobligatorio
Información sobre la ubicación de la propiedad.
4 propiedades
location_idintegerobligatorio
ID de la ubicación, según lo devuelto por el endpoint POST /v1/references/locations.
namestringobligatorio
Nombre de la ubicación.
administrative_levelstringobligatorio
Nivel administrativo de la ubicación.
zip_codesstring[]
Los códigos postales de la ubicación.
por defecto []
locations_structureobject[]obligatorio
Información sobre todas las ubicaciones principales (incluida la ubicación de la propiedad) hasta el país.
4 propiedades
location_idintegerobligatorio
ID de la ubicación, según lo devuelto por el endpoint POST /v1/references/locations.
namestringobligatorio
Nombre de la ubicación.
administrative_levelstringobligatorio
Nivel administrativo de la ubicación.
zip_codesstring[]
Los códigos postales de la ubicación.
por defecto []
addressstringobligatorio
Dirección de la propiedad.
zip_codestringobligatorio
Código postal de la ubicación.
cadastral_referencestringobligatorio
Referencia catastral del inmueble.
coordinatesobjectobligatorio
Coordenadas de la propiedad.
2 propiedades
latitudenumberobligatorio
Latitude.
longitudenumberobligatorio
Longitude.
conditionstringobligatorio
Estado de la propiedad, según lo devuelve el endpoint GET /v1/references/conditions.
used ruin very-good new other
contacts_infoobjectobligatorio
Información sobre los contactos del anuncio.
3 propiedades
namestringobligatorio
Nombre del propietario. Solo para anuncios de particulares.
emailcadena (correo electrónico)obligatorio
Dirección de correo electrónico de contacto.
phonestringobligatorio
Número de teléfono de contacto.
total_areaintegerobligatorio
Superficie total.
living_areaintegerobligatorio
Superficie habitable.
plot_areaintegerobligatorio
Superficie de la parcela.
terrace_areaintegerobligatorio
Superficie de la terraza.
bedroomsintegerobligatorio
Número de dormitorios.
roomsintegerobligatorio
Número de habitaciones.
bathroomsintegerobligatorio
Número de baños.
featuresobjectobligatorio
Características de la propiedad, tal y como las devuelve el endpoint GET /v1/references/features.
7 propiedades
floorstringobligatorio
Tipo de suelo.
no_floor ground middle top
orientationstringobligatorio
Orientación de las vistas de la propiedad.
exterior interior
viewstringobligatorio
Vistas desde la propiedad. Este campo está obsoleto y se eliminará en la próxima actualización principal. Por favor, utilice el campo views en su lugar.
water landscape city golf park
viewsstring[]obligatorio
Lista de vistas desde la propiedad.
water landscape city golf park
directionstringobligatorio
Dirección cardinal a la que está orientada la propiedad. Este campo está obsoleto y se eliminará en la próxima actualización principal. Por favor, utilice el campo directions en su lugar.
north south east west
directionsstring[]obligatorio
Lista de orientaciones de la propiedad.
north south east west
characteristicsstring[]obligatorio
Características de la propiedad.
balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuity
construction_yearintegerobligatorio
Año de construcción.
operationsstring[]obligatorio
Operation types for which listing property is available.
sale rent
is_bank_propertybooleanobligatorio
Whether the listing property is a bank property.
is_auction_propertybooleanobligatorio
Whether the listing property is an auction property.
is_new_development_propertybooleanobligatorio
Whether the listing property is a new development property.
is_private_propertybooleanobligatorio
Indica si el anuncio es de un particular o de un profesional o agencia inmobiliaria.
sale_statusstringobligatorio
Estado actual de venta del anuncio.
active reserved hold sold none
sale_currencystringobligatorio
Código de divisa del precio de venta.
sale_price_baseintegerobligatorio
Precio de venta actual, en euros.
sale_priceintegerobligatorio
Precio de venta actual, en la divisa del anuncio (especificada en el campo sale_currency).
sale_price_per_sqmnumberobligatorio
Current sale price per square meter, in the currency of the listing (specified by the sale_currency field).
sale_price_per_sqm_basenumberobligatorio
Precio de venta actual por metro cuadrado, en euros.
rent_statusstringobligatorio
Estado actual de alquiler del anuncio.
active reserved hold rented none
rent_currencystringobligatorio
Código de divisa del precio de alquiler.
rent_price_baseintegerobligatorio
Precio de alquiler actual, en euros.
rent_priceintegerobligatorio
Precio de alquiler actual, en la divisa del anuncio (especificada en el campo rent_currency).
rent_price_per_sqmnumberobligatorio
Current rent price per square meter, in the currency of the listing (specified by the rent_currency field).
rent_price_per_sqm_basenumberobligatorio
Precio de alquiler actual por metro cuadrado, en euros.
rent_periodstringobligatorio
Periodo de alquiler.
day week fortnight month year none
agency_legal_idstringobligatorio
Identificador legal de la agencia especificado en la fuente. Solo para Francia y sus territorios de ultramar (DROM y COM).
agencystringobligatorio
La empresa que gestiona el anuncio.
agentstringobligatorio
The agent that manages the listing.
source_namestringobligatorio
The name of the source.
descriptionstringobligatorio
Listing description.
thumbnailsstring[]
Lista de las URL de las imágenes en miniatura.
picturesstring[]
Lista de las URL de las imágenes originales.
created_atcadena (fecha y hora)obligatorio
Date and time when the alert was created (UTC).
created_at_with_photoscadena (fecha y hora)obligatorio
Date and time (UTC) when the alert was created and its photos were processed. Can be null if photo processing has not finished yet. If the listing has no photos but the system has finished the processing, this field will contain its date and time.
updated_atcadena (fecha y hora)obligatorio
Date and time when the alert data was updated (UTC).
energy_certificatestringobligatorio
Energy certificate classification that attests to the energy efficiency of a listing. This field is deprecated and will be removed in the next major update. Please, use energy_rating field instead.
energy_ratingstringobligatorio
Energy rating that attests to the energy efficiency of a listing.
heating_typestringobligatorio
Tipo de calefacción.
available_fromcadena (fecha)obligatorio
The date the listing property becomes available for occupancy. The start of the availability window.
available_tocadena (fecha)obligatorio
The date the listing property stops being available. The end of the availability window.
Ejemplo de la descripción de la API (arrays extensos abreviados)
JSON
{
  "count": 79,
  "next": "http://api.casafari.com/v1/listing-alerts/feeds/887?alert_date_from=2021-09-01&limit=50&offset=50",
  "previous": null,
  "results": [
    {
      "alert_id": 412269711,
      "listing_id": 110358519,
      "title": "Apartamento T2 em Santa Engracia",
      "ref": "ID-124021076-47",
      "alert_type": "sale_price",
      "alert_subtype": "price_down",
      "old_value": "549000",
      "new_value": "545000",
      "alert_date": "2021-10-24",
      "alert_date_and_time": "2021-10-24T05:37:09",
      "created_at": "2021-10-24T05:38:53.273581",
      "created_at_with_photos": "2021-10-24T05:43:27.622175",
      "updated_at": "2021-04-05T17:47:19.191211",
      "property_url": "https://www.casafari.com/home-sale/property-51277418",
      "listing_url": "https://portal.example/listing",
      "listing_old_url": null,
      "listing_uid": "1054046",
      "property_id": 51277418,
      "type": "apartment",
      "type_group": "apartment",
      "location": {
        "location_id": 28649,
        "name": "Santa Engrácia",
        "administrative_level": "Localidade",
        "zip_codes": []
      },
      "locations_structure": [
        {
          "location_id": 499,
          "name": "Portugal",
          "administrative_level": "País",
          "zip_codes": [
            "1200-224"
          ]
        }
      ],
      "address": "",
      "zip_code": "80804",
      "cadastral_reference": "2181605VK4728A0001TA",
      "coordinates": {
        "latitude": 38.7194,
        "longitude": -9.12209
      },
      "condition": "used",
      "contacts_info": {
        "name": null,
        "email": null,
        "phone": "215551538"
      },
      "total_area": 130,
      "living_area": 128,
      "plot_area": 0,
      "terrace_area": 15,
      "bedrooms": 3,
      "rooms": 0,
      "bathrooms": 2,
      "features": {
        "floor": "middle",
        "orientation": null,
        "views": [
          "city"
        ],
        "directions": [
          "west"
        ],
        "characteristics": [
          "balcony"
        ]
      },
      "construction_year": 2015,
      "operations": [
        "sale"
      ],
      "is_bank_property": false,
      "is_auction_property": false,
      "is_new_development_property": false,
      "is_private_property": false,
      "sale_status": "active",
      "sale_currency": "EUR",
      "sale_price": 545000,
      "sale_price_base": 545000,
      "sale_price_per_sqm": 4192,
      "sale_price_per_sqm_base": 4192,
      "rent_status": "none",
      "rent_currency": "EUR",
      "rent_price": 0,
      "rent_price_base": 0,
      "rent_price_per_sqm": 0,
      "rent_price_per_sqm_base": 0,
      "rent_period": "none",
      "agency_legal_id": "402016653",
      "agency": "Helena Almeida Pires",
      "agent": "",
      "source_name": "Portal",
      "description": "O apartamento é composto de sala de estar e jantar ampla, com janelas de vidro duplo que dão enorme luminosidade, ao ambiente.",
      "thumbnails": [
        "https://st2.retelligence.co/c/2875/4/7f/5a0fc6ebf8e4e41d062342a29b50647f350.jpg"
      ],
      "pictures": [
        "https://media.casasapo.pt/Z1140x855/Wnone/S5/C2729/P20091734/Tphoto/ID56933201-0000-0500-0000-00000d1ffcdc.jpg"
      ],
      "energy_certificate": "B",
      "energy_rating": "B",
      "heating_type": "Central heating",
      "available_from": "2026-07-01",
      "available_to": "2027-06-30"
    }
  ]
}

400 Solicitud incorrecta

Tipo: object.

Mostrar la estructura de la respuesta (1 campo)
errorsobject
Descripción de los errores encontrados.

401 No autorizado

Tipo: object.

Mostrar la estructura de la respuesta (1 campo)
detailstring
Descripción del error encontrado.

403 Prohibido

Tipo: object.

Mostrar la estructura de la respuesta (1 campo)
detailstring
Descripción del error encontrado.

404 No encontrado

Tipo: object.

Mostrar la estructura de la respuesta (1 campo)
errorsobject
Descripción de los errores encontrados.

Consejo: añada .md a cualquier URL para leerla como Markdown.